Home Information Classes Download Usage Mail List Requirements Links Tutorial

# PluckTwo Class Reference

STK enhanced plucked string model class. More...

`#include <PluckTwo.h>`

Inheritance diagram for PluckTwo:

List of all members.

## Public Member Functions

| PluckTwo (MY_FLOAT lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
virtual | ~PluckTwo ()
| Class destructor.
void | clear ()
| Reset and clear all internal state.
virtual void | setFrequency (MY_FLOAT frequency)
| Set instrument parameters for a particular frequency.
void | setDetune (MY_FLOAT detune)
| Detune the two strings by the given factor. A value of 1.0 produces unison strings.
void | setFreqAndDetune (MY_FLOAT frequency, MY_FLOAT detune)
| Efficient combined setting of frequency and detuning.
void | setPluckPosition (MY_FLOAT position)
| Set the pluck or "excitation" position along the string (0.0 - 1.0).
void | setBaseLoopGain (MY_FLOAT aGain)
| Set the base loop gain.
virtual void | noteOff (MY_FLOAT amplitude)
| Stop a note with the given amplitude (speed of decay).
virtual MY_FLOAT | tick ()=0
| Virtual (abstract) tick function is implemented by subclasses.

## Detailed Description

STK enhanced plucked string model class.

This class implements an enhanced two-string, plucked physical model, a la Jaffe-Smith, Smith, and others.

PluckTwo is an abstract class, with no excitation specified. Therefore, it can't be directly instantiated.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 29 of file PluckTwo.h.

## Member Function Documentation

void PluckTwo::setBaseLoopGain | ( | MY_FLOAT | aGain | ) |

| Set the base loop gain. The actual loop gain is set according to the frequency. Because of high-frequency loop filter roll-off, higher frequency settings have greater loop gains.

The documentation for this class was generated from the following file:

- PluckTwo.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.